All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_work_item_size Class Reference

Exception thrown if the number of work items per work group invalid (usually this means that more than 256/512/768/1024 work items have been specified, but the device(s) cannot support this. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_work_item_size:

## Detailed Description

Exception thrown if the number of work items per work group invalid (usually this means that more than 256/512/768/1024 work items have been specified, but the device(s) cannot support this.

Definition at line 463 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp